System 2.0.0.0 4.0.0.0 System.Object

Use the class to determine whether a implementation is configured on the computer, or to examine the configuration and compiler settings for a specific language provider.

The <system.codedom> Element in the machine configuration file contains the language provider and compiler configuration settings. Each configured language provider has a corresponding compiler configuration element. Each element defines the implementation type, supported language names, supported file name extensions, and compiler parameters.

The .NET Framework defines the initial compiler settings in the machine configuration file. Developers and compiler vendors can add configuration settings for a new implementation.

The class provides read-only access to these settings in the machine configuration file. Use the , , and members to examine the corresponding configuration attributes for a language provider. Use the method to obtain the compiler options and warning level attribute values for a language provider.

For more details on language provider settings in the configuration file, see Compiler and Language Provider Settings Schema.

This class contains a link demand at the class level that applies to all members. A is thrown when the immediate caller does not have full-trust permission. For details about link demands, see Link Demands.

Represents the configuration settings of a language provider. This class cannot be inherited.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  The machine configuration file contains the fully qualified type name for each implementation on the computer. The property value is a instance that represents a configured language provider implementation.

  Gets the type of the configured implementation.

- Method
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerParameters

  Use the method to examine the compiler settings of the instances returned by the and methods.

  The <system.codedom> Element in the machine configuration file contains the language provider and compiler configuration settings for each implementation on the computer. Each language provider configuration element can contain optional compilerOptions and warningLevel attributes. These attributes define the default values for the and properties.

  If the language provider configuration element does not define the compilerOptions attribute, the property value is an empty string (""). If the language provider configuration element does not define the warningLevel attribute, the property value is –1.

  Gets the configured compiler settings for the language provider implementation.

  A read-only instance that contains the compiler options and settings configured for the language provider.

- Method
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CodeDomProvider

  The method returns a instance for the current language provider settings.

  Use the method to get a implementation for a instance returned by the or method.

  Returns a instance for the current language provider settings.

  A CodeDOM provider associated with the language provider configuration.

- Method
  4.0.0.0
  System.CodeDom.Compiler.CodeDomProvider ``

  The method returns a instance for the current language provider settings and the specified provider options. For information about supported provider options, see the specific CodeDOM provider documentation.

  Use the method to get a implementation for a instance returned by the or method.

  Returns a instance for the current language provider settings and specified options.

  A CodeDOM provider associated with the language provider configuration and specified options.

  A collection of provider options from the configuration file.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method overrides the method.

  The two instances are considered equal if the values of the following properties are equal:

  The property.

  The , , and properties of the instance returned by the method.

  Determines whether the specified object represents the same language provider and compiler settings as the current .

  true if is a object and its value is the same as this instance; otherwise, false.

  The object to compare with the current .
- Method
  2.0.0.0
  4.0.0.0
  System.String[]

  The <system.codedom> Element in the machine configuration file contains the language provider and compiler configuration settings for each implementation on the computer. Each configured language provider supports one or more file name extensions. For example, a might support the file name extensions ".cs" and ".c#".

  Returns the file name extensions supported by the language provider.

  An array of file name extensions supported by the language provider.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  This method overrides the method.

  This method generates the same hash code for two objects that are equal according to the method.

  Returns the hash code for the current instance.

  A 32-bit signed integer hash code for the current instance, suitable for use in hashing algorithms and data structures such as a hash table.

- Method
  2.0.0.0
  4.0.0.0
  System.String[]

  The <system.codedom> Element in the machine configuration file contains the language provider and compiler configuration settings for each implementation on the computer. Each configured language provider supports one or more language names. For example, the object for a might return an array with the language names "c#", "cs", and "csharp".

  Gets the language names supported by the language provider.

  An array of language names supported by the language provider.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use the property to check the implementation before accessing the provider properties or methods. For example, after you get the language provider settings from the method, use the property to verify the provider type implementation before calling the method or using the property.

  Returns a value indicating whether the language provider implementation is configured on the computer.